LVCHANGE(8)

NAME
lvchange - change attributes of a logical volume

SYNOPSIS
lvchange [--addtag Tag] [-A/--autobackup y/n] [-a/--available y/n/ey/en/ly/ln] [--alloc AllocationPolicy] [-C/--contiguous y/n] [-d/--debug] [--deltag Tag] [-h/-?/--help] [--ignorelockingfailure] [-M/--persistent y/n] [--minor minor] [-P/--partial y/n] [-p/--permission r/w] [-r/--readahead ReadAheadSectors] [--refresh] [-t/--test] [-v/--verbose] LogicalVolumePath [LogicalVolumePath...]

DESCRIPTION
lvchange allows you to change the attributes of a logical volume including making them known to the kernel ready for use.

OPTIONS
See lvm for common options.

-a, --available y/n/ey/en/ly/ln
    Controls the availability of the logical volumes for use. Communicates with the kernel device-mapper driver via libdevmapper to activate (-ay) or deactivate (-an) the logical volumes.

    If clustered locking is enabled, -ae will activate exclusively on one node and -aly will activate only on the local node. To deactivate only on the local node use -aln. Logical volumes with single-host snapshots are always activated exclusively because they can only be used on one node at once.

-C, --contiguous y/n
    Tries to set or reset the contiguous allocation policy for logical volumes. It's only possible to change a non-contiguous logical volume's allocation policy to contiguous, if all of the allocated physical extents are already contiguous.

--minor minor
    Set the minor number.

-M, --persistent y/n
    Set to y to make the minor number specified persistent.

-p, --permission r/w
    Change access permission to read-only or read/write.

-r, --readahead ReadAheadSectors
    Change read ahead sector count per logical between 2 and 120. For compatability with LVM1 only. Ignored by LVM2.

--refresh
    If the logical volume is active, reload its metadata. This is not necessary in normal operation, but may be useful if something has gone wrong or if you're doing clustering manually without a clustered lock manager.

Examples
"lvchange -pr vg00/lvol1" changes the permission on volume lvol1 in volume group vg00 to be read-only.

SEE ALSO
lvm(8), lvcreate(8), vgchange(8)